import request from "@/utils/request";

// 查询物模型模板列表
export function listTemplate(query) {
  return request({
    url: "/thingsmodel/template/list",
    method: "get",
    params: query,
  });
}

// 查询物模型模板详细
export function getTemplate(templateId) {
  return request({
    url: "/thingsmodel/template/" + templateId,
    method: "get",
  });
}

// 新增物模型模板
export function addTemplate(data) {
  return request({
    url: "/thingsmodel/template",
    method: "post",
    data: data,
  });
}

// 修改物模型模板
export function updateTemplate(data) {
  return request({
    url: "/thingsmodel/template",
    method: "put",
    data: data,
  });
}

// 删除物模型模板
export function delTemplate(templateId) {
  return request({
    url: "/thingsmodel/template/" + templateId,
    method: "delete",
  });
}
